<div class="msg-pop">
  <div>
    <h3>Message History</h3>
  </div>
</div>
  <div>
    <div class="pop--inner">
      <p>Message type - <strong>PRIVATE MESSAGE</strong> </p>
      <p></p>
      <div class="table_outer">
        <p>You have to select at least one option, device or dispatcher</p></div>
      <table aria-describedby="Manage Company" class="table table-bordered">
        <tbody>
        <tr>
          <th scope="col">Message Send From  </th>
          <td>
            <div class="form-inline">
              <div class="form-group">

                <mat-select  name="dispatcher_id" [(ngModel)]="dispatcher_id" (change)="SelectDispatcher()" class="fm-txt no-float" placeholder="Dispatcher">
                  <mat-option [value]=''>None </mat-option>
                  <mat-option *ngFor="let data of DispatcherUser"  [value]='data._id'> {{data.firstname}} </mat-option>
                </mat-select>

              </div>
            </div>
          </td>
        </tr>

        <tr>
          <td>Messages sent to </td>
          <td>
            <div class="form-inline">
              <div class="form-group">
                  <mat-select name="vehicle_id" [(ngModel)]="vehicle_id" (change)="SelectVehicle()" class="fm-txt" placeholder="Vehicle">
                    <mat-option *ngFor="let data of vehicleList" class="vehicle-list" [value]='data.driver_id._id'>
                    <span>{{data.id}}</span>
                    <span class="car--name">{{data.display_name}}</span>
                    <span>{{data.vehicle_model}}</span>
                    </mat-option>
                  </mat-select>
              </div>
            </div>
          </td>
        </tr>
        <tr>
          <td>Last X days	 </td>
          <td>
            <div class="form-inline">
              <div class="form-group">
                  <mat-select  name="days" [(ngModel)] = "days" (change)="Selectdays()" class="fm-txt" placeholder="">
                    <mat-option value='1'> 1 </mat-option>
                    <mat-option value='2'> 2</mat-option>
                    <mat-option value='5'> 5  </mat-option>
                    <mat-option value='10'> 10 </mat-option>
                    <mat-option value='30'> 30 </mat-option>
                    <mat-option value='60'> 60  </mat-option>
                    <mat-option value='120'> 120 </mat-option>
                    <mat-option value='365'> 365  </mat-option>
                  </mat-select>
              </div>
            </div>
          </td>
        </tr>

        </tbody>
      </table>
      <div class="chat_container text-center" *ngIf="messageData.length == 0">
        No Messages Found
      </div>
      <div class="chat_container" *ngFor="let message of messageData">
        <div class="gray_top_bubble"></div>
          <div class=" message-box" >
            <div class="message_time">{{message.message_created_time ? message.message_created_time: 'N/A' }}</div>
            <div class="message_text">{{message.message}}</div>
          </div>
      </div>
      <div class="pop-btn">
        <input class="btn btn-default close-btn" value="Close" type="button" (click)="closePop()">

      </div>

  </div>



</div>


<div>

</div>
